server:
  port: 8080

spring:
  application:
    name: kamco-training-api
  profiles:
    active: dev  # 사용할 프로파일 지정 (ex. dev, prod, test)

  datasource:
    driver-class-name: org.postgresql.Driver
    hikari:
      minimum-idle: 2
      maximum-pool-size: 2
      connection-timeout: 20000
      idle-timeout: 300000
      max-lifetime: 1800000
      leak-detection-threshold: 60000

  jpa:
    hibernate:
      ddl-auto: update  # 스키마 자동 관리 활성화
    properties:
      hibernate:
        javax:
          persistence:
            validation:
              mode: none
        jdbc:
          batch_size: 50
        default_batch_fetch_size: 100
    show-sql: false

  servlet:
    multipart:
      enabled: true
      max-file-size: 10GB
      max-request-size: 10GB
logging:
  level:
    org:
      springframework:
        web: INFO
        security: INFO
    root: INFO



# actuator
management:
  health:
    readinessstate:
      enabled: true
    livenessstate:
      enabled: true
    diskspace:
      enabled: true
  endpoint:
    health:
      probes:
        enabled: true
      show-details: when-authorized
  endpoints:
    jmx:
      exposure:
        exclude: "*"
    web:
      base-path: /monitor
      exposure:
        include:
          - "health"
